Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.schemas.v1
Class BTCAdviceDependentPersonType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.schemas.v1.BTCAdviceDependentPersonType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:07:47+01:00",
               comments="JAXB RI v2.2.11")
    public class BTCAdviceDependentPersonType

extends Object
implements Serializable

Generiek type voor een zorgvrager in de vraag naar advies BTC.

Java class for BTCAdviceDependentPersonType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BTCAdviceDependentPersonType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SSIN" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}SSINType"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="LastName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="OtherNames" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="BirthDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Gender" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}GenderType" minOccurs="0"/>
             <element name="CareUnit" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}CareUnitCodeType" minOccurs="0"/>
             <element name="OfficialAddress" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType"/>
             <element name="NotOfficialAddress" type="{http://www.mercurius.vlaanderen.be/vsb/schemas/v1}AddressType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`BTCAdviceDependentPersonType()`

Method Summary
`org.joda.time.DateTime` | `getBirthDate()` Gets the value of the birthDate property.
`String` | `getCareUnit()` Gets the value of the careUnit property.
`String` | `getFirstName()` Gets the value of the firstName property.
`String` | `getGender()` Gets the value of the gender property.
`String` | `getLastName()` Gets the value of the lastName property.
`AddressType` | `getNotOfficialAddress()` Gets the value of the notOfficialAddress property.
`AddressType` | `getOfficialAddress()` Gets the value of the officialAddress property.
`String` | `getOtherNames()` Gets the value of the otherNames property.
`String` | `getSSIN()` Gets the value of the ssin property.
`void` | `setBirthDate(org.joda.time.DateTime value)` Sets the value of the birthDate property.
`void` | `setCareUnit(String value)` Sets the value of the careUnit property.
`void` | `setFirstName(String value)` Sets the value of the firstName property.
`void` | `setGender(String value)` Sets the value of the gender property.
`void` | `setLastName(String value)` Sets the value of the lastName property.
`void` | `setNotOfficialAddress(AddressType value)` Sets the value of the notOfficialAddress property.
`void` | `setOfficialAddress(AddressType value)` Sets the value of the officialAddress property.
`void` | `setOtherNames(String value)` Sets the value of the otherNames property.
`void` | `setSSIN(String value)` Sets the value of the ssin property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BTCAdviceDependentPersonType

    public BTCAdviceDependentPersonType()

Method Detail

### getSSIN

    public String getSSIN()

  Gets the value of the ssin property.

  Returns:
    possible object is `String`

### setSSIN

    public void setSSIN(String value)

  Sets the value of the ssin property.

  Parameters:
    `value` - allowed object is `String`

### getFirstName

    public String getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `String`

### setFirstName

    public void setFirstName(String value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `String`

### getLastName

    public String getLastName()

  Gets the value of the lastName property.

  Returns:
    possible object is `String`

### setLastName

    public void setLastName(String value)

  Sets the value of the lastName property.

  Parameters:
    `value` - allowed object is `String`

### getOtherNames

    public String getOtherNames()

  Gets the value of the otherNames property.

  Returns:
    possible object is `String`

### setOtherNames

    public void setOtherNames(String value)

  Sets the value of the otherNames property.

  Parameters:
    `value` - allowed object is `String`

### getBirthDate

    public org.joda.time.DateTime getBirthDate()

  Gets the value of the birthDate property.

  Returns:
    possible object is `String`

### setBirthDate

    public void setBirthDate(org.joda.time.DateTime value)

  Sets the value of the birthDate property.

  Parameters:
    `value` - allowed object is `String`

### getGender

    public String getGender()

  Gets the value of the gender property.

  Returns:
    possible object is `String`

### setGender

    public void setGender(String value)

  Sets the value of the gender property.

  Parameters:
    `value` - allowed object is `String`

### getCareUnit

    public String getCareUnit()

  Gets the value of the careUnit property.

  Returns:
    possible object is `String`

### setCareUnit

    public void setCareUnit(String value)

  Sets the value of the careUnit property.

  Parameters:
    `value` - allowed object is `String`

### getOfficialAddress

    public AddressType getOfficialAddress()

  Gets the value of the officialAddress property.

  Returns:
    possible object is `AddressType`

### setOfficialAddress

    public void setOfficialAddress(AddressType value)

  Sets the value of the officialAddress property.

  Parameters:
    `value` - allowed object is `AddressType`

### getNotOfficialAddress

    public AddressType getNotOfficialAddress()

  Gets the value of the notOfficialAddress property.

  Returns:
    possible object is `AddressType`

### setNotOfficialAddress

    public void setNotOfficialAddress(AddressType value)

  Sets the value of the notOfficialAddress property.

  Parameters:
    `value` - allowed object is `AddressType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.